Create a withdrawal
curl --request POST \
--url https://app.crown-brlv.com/api/v1/accounts/{account-id}/withdrawals \
--header 'Content-Type: application/json' \
--data '
{
"asset": "fiat/brl",
"method": "pix",
"amount": "<string>",
"pix-key": "user@example.com"
}
'import requests
url = "https://app.crown-brlv.com/api/v1/accounts/{account-id}/withdrawals"
payload = {
"asset": "fiat/brl",
"method": "pix",
"amount": "<string>",
"pix-key": "user@example.com"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'fiat/brl',
method: 'pix',
amount: '<string>',
'pix-key': 'user@example.com'
})
};
fetch('https://app.crown-brlv.com/api/v1/accounts/{account-id}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"withdrawal": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"asset": "fiat/brl",
"amount": "100.50",
"method": "pix",
"state": "created",
"created-at": "2025-03-06T10:30:00Z",
"state-updated-at": "2025-03-06T10:30:00Z"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}Withdrawals
Create Withdrawal
Creates a withdrawal for fiat (PIX/TED) or tokens. For fiat BRL, use asset ‘fiat/brl’ with method ‘pix’ or ‘ted’. For tokens, use asset like ‘eth-base/usdc’ with method ‘token’.
POST
/
api
/
v1
/
accounts
/
{account-id}
/
withdrawals
Create a withdrawal
Path Parameters
Body
application/json
Response
Withdrawal created successfully
BRL PIX withdrawal
- PIX Withdrawal
- TED Withdrawal
- Stablecoin Withdrawal
Show child attributes
Show child attributes
⌘I